Add new ratings

🔒 OAuth Required

Rate one or more items. Accepts shows, seasons, episodes and movies. If only a show is passed, only the show itself will be rated. If seasons are specified, all of those seasons will be rated.

Send a rated_at UTC datetime to mark items as rated in the past. This is useful for syncing ratings from a media center.

JSON POST Data

KeyTypeValue
moviesarrayArray of movie objects. (see examples ->)
showsarrayArray of show objects.
seasonsarrayArray of season objects.
episodesarrayArray of episode objects.

Media Object POST Data

KeyTypeValue
item *objectmovie, show, season, or episode object.
rating *integerBetween 1 and 10.
rated_atdatetimeUTC datetime when the item was rated.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Body

movies
array of objects | null
movies
shows
array of objects | null
shows
seasons
array of objects | null
seasons
episodes
array of objects | null
episodes
Response

Language
Credentials
Required Scopes
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json